Feature request #9636

Oracle provider dialog improvement

Added by Jonathan Moules over 6 years ago. Updated almost 3 years ago.

Status:Open
Priority:Low
Assignee:-
Category:Unknown
Pull Request or Patch supplied:No Resolution:
Easy fix?:No Copied to github as #:18208

Description

Following #9634

I'd suggest a better "error" message.

If the Oracle provider isn't installed, maybe:

"The Oracle library is not installed. Please install it to use Oracle connections."

This could also apply to other optional providers that aren't guaranteed to be installed.


Related issues

Related to QGIS Application - Bug report #9634: Oracle not working at all Closed 2014-02-24
Related to QGIS Application - Bug report #9742: 2.3 files not backwards compatible with 2.2 (Oracle layers) Closed 2014-03-07

History

#1 Updated by Jürgen Fischer over 6 years ago

  • Tag set to easy
  • Priority changed from Normal to Low

#2 Updated by Paolo Cavallini about 6 years ago

  • Category set to Data Provider/Oracle

#3 Updated by Jürgen Fischer about 6 years ago

  • Category deleted (Data Provider/Oracle)

#4 Updated by Giovanni Manghi about 3 years ago

  • Easy fix? set to No

#5 Updated by Jürgen Fischer almost 3 years ago

  • Category set to Unknown

Also available in: Atom PDF